Get issue summary counts
Returns counts by status (for badges).
GET
/issues/summary
Returns counts by status (for badges).
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Responses
200
Issue summary counts
application/jsonopen
number
REQUIRED
acknowledged
number
REQUIRED
resolved
number
REQUIRED
401
Unauthorized
curl -X GET 'https://hookstream.io/v1/issues/summary' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/issues/summary', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://hookstream.io/v1/issues/summary', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://hookstream.io/v1/issues/summary", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "open": 123, "acknowledged": 123, "resolved": 123}
API Playground
Try this endpoint
GET
/issues/summary